For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Overview
    • Introduction
    • Authentication
  • Accounts
      • GETList accounts
      • GETGet account
      • GETGet account contact
  • Statements
  • Customers
  • Transactions
LogoLogo
Contact usLogin
AccountsAccounts

Get account contact

GET
/accounts/:id/contact
GET
/fdx/v6/accounts/:id/contact
$curl https://api.givechariot.com/fdx/v6/accounts/id/contact \
> -H "Authorization: Bearer <token>"
1{
2 "holders": [
3 {
4 "name": {
5 "first": "string",
6 "middle": "string",
7 "last": "string",
8 "suffix": "string",
9 "prefix": "string",
10 "company": "string"
11 },
12 "relationship": "AUTHORIZED_USER",
13 "type": "BUSINESS",
14 "businessCustomer": {
15 "name": "string",
16 "registeredId": "string"
17 },
18 "emails": [
19 "string"
20 ],
21 "addresses": [
22 {
23 "line1": "string",
24 "city": "string",
25 "region": "string",
26 "postalCode": "string",
27 "country": "string",
28 "line2": "string",
29 "line3": "string"
30 }
31 ],
32 "telephones": [
33 {
34 "type": "HOME",
35 "number": "string",
36 "country": "string"
37 }
38 ]
39 }
40 ],
41 "emails": [
42 "string"
43 ],
44 "addresses": [
45 {
46 "line1": "string",
47 "city": "string",
48 "region": "string",
49 "postalCode": "string",
50 "country": "string",
51 "line2": "string",
52 "line3": "string"
53 }
54 ],
55 "telephones": [
56 {
57 "type": "HOME",
58 "number": "string",
59 "country": "string"
60 }
61 ]
62}
Get contact information associated with an account, including holders, emails, addresses, and phone numbers.
Was this page helpful?
Previous

List account statements

Next
Built with

Authentication

AuthorizationBearer

OAuth 2.0 Bearer token. A client may hold both scopes, but each FDX authorization must contain exactly one — they are mutually exclusive per authorization. An authorization containing both will be rejected. See the Authentication page for token exchange details.

Path parameters

idstringRequiredformat: "uuid"
Unique identifier for the account

Response

Account contact information
holderslist of objects
emailslist of strings
addresseslist of objects
telephoneslist of objects

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
500
Internal Server Error